Subject: Re: [PATCH net-next 00/24] locking: Introduce nested-BH locking.

From: Jakub Kicinski <[email-masked]>
Date: Fri, 15 Dec 2023 14:50:59 -0800

On Fri, 15 Dec 2023 18:07:19 +0100 Sebastian Andrzej Siewior wrote:
> The proposed way out is to introduce explicit per-CPU locks for
> resources which are protected by local_bh_disable() and use those only
> on PREEMPT_RT so there is no additional overhead for !PREEMPT_RT builds.

As I said at LPC, complicating drivers with odd locking constructs
is a no go for me.